Package org.gdal.ogr

## Class FeatureDefn

- java.lang.Object
- - org.gdal.ogr.FeatureDefn

-     public class FeatureDefn
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeatureDefn​()` |
    `FeatureDefn​(java.lang.String name_null_ok)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `AddFieldDefn​(FieldDefn defn)` |
    `void` | `AddGeomFieldDefn​(GeomFieldDefn defn)` |
    `void` | `delete​()` |
    `int` | `DeleteGeomFieldDefn​(int idx)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `GetFieldCount​()` |
    `FieldDefn` | `GetFieldDefn​(int i)` |
    `int` | `GetFieldIndex​(java.lang.String field_name)` |
    `int` | `GetGeomFieldCount​()` |
    `GeomFieldDefn` | `GetGeomFieldDefn​(int i)` |
    `int` | `GetGeomFieldIndex​(java.lang.String field_name)` |
    `int` | `GetGeomType​()` |
    `java.lang.String` | `GetName​()` |
    `int` | `GetReferenceCount​()` |
    `int` | `hashCode​()` |
    `int` | `IsGeometryIgnored​()` |
    `int` | `IsSame​(FeatureDefn other_defn)` |
    `int` | `IsStyleIgnored​()` |
    `void` | `SetGeometryIgnored​(int bIgnored)` |
    `void` | `SetGeomType​(int geom_type)` |
    `void` | `SetStyleIgnored​(int bIgnored)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureDefn

          public FeatureDefn​(java.lang.String name_null_ok)

    - #### FeatureDefn

          public FeatureDefn​()

  - ### Method Detail

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName​()

    - #### GetFieldCount

          public int GetFieldCount​()

    - #### GetFieldDefn

          public FieldDefn GetFieldDefn​(int i)

    - #### GetFieldIndex

          public int GetFieldIndex​(java.lang.String field_name)

    - #### AddFieldDefn

          public void AddFieldDefn​(FieldDefn defn)

    - #### GetGeomFieldCount

          public int GetGeomFieldCount​()

    - #### GetGeomFieldDefn

          public GeomFieldDefn GetGeomFieldDefn​(int i)

    - #### GetGeomFieldIndex

          public int GetGeomFieldIndex​(java.lang.String field_name)

    - #### AddGeomFieldDefn

          public void AddGeomFieldDefn​(GeomFieldDefn defn)

    - #### DeleteGeomFieldDefn

          public int DeleteGeomFieldDefn​(int idx)

    - #### GetGeomType

          public int GetGeomType​()

    - #### SetGeomType

          public void SetGeomType​(int geom_type)

    - #### GetReferenceCount

          public int GetReferenceCount​()

    - #### IsGeometryIgnored

          public int IsGeometryIgnored​()

    - #### SetGeometryIgnored

          public void SetGeometryIgnored​(int bIgnored)

    - #### IsStyleIgnored

          public int IsStyleIgnored​()

    - #### SetStyleIgnored

          public void SetStyleIgnored​(int bIgnored)

    - #### IsSame

          public int IsSame​(FeatureDefn other_defn)